using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

using VS2010Addin.SQLAzure2010Addin.Data;
using VS2010Addin.SQLAzure2010Addin.Dialogs;
using VS2010Addin.SQLAzure2010Addin.Properties;
using VS2010Addin.SQLAzure2010Addin.ToolWindows;

namespace VS2010Addin.SQLAzure2010Addin.Commands
{
    public class LoginMenuCommandsHandler
    {
        private readonly ExplorerToolWindow _parentWindow;

        public LoginMenuCommandsHandler(ExplorerToolWindow parent)
        {
            _parentWindow = parent;
        }

        public void CreateLogin(object sender, ExecutedRoutedEventArgs e)
        {
            var menuItem = sender as MenuItem;
            if (menuItem == null) return;

            var loginInfo = menuItem.CommandParameter as LoginCommandParameters;
            if (loginInfo == null) return;

            var dialog = new CreateLoginDialog();
            dialog.ShowDialog();

            loginInfo.ExplorerControl.BuildLoginsTree();
        }

        public void DropLogin(object sender, ExecutedRoutedEventArgs e)
        {
            var menuItem = sender as MenuItem;
            if (menuItem == null) return;

            var loginInfo = menuItem.CommandParameter as LoginCommandParameters;
            if (loginInfo == null) return;

            var repository = new Repository(Settings.Default.ServerName, Settings.Default.Login, Settings.Default.Password);
            try
            {
                repository.DropLogin(loginInfo.Login.Name);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message,
                                "Error dropping login", MessageBoxButton.OK,
                                MessageBoxImage.Error);
            }
            loginInfo.ExplorerControl.BuildLoginsTree();
        }
    }
}