using System;
using System.Diagnostics;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

using VS2010Addin.SQLAzure2010Addin.Data;
using VS2010Addin.SQLAzure2010Addin.Properties;
using VS2010Addin.SQLAzure2010Addin.ToolWindows;

namespace VS2010Addin.SQLAzure2010Addin.Commands
{
    public class TableMenuCommandsHandler : BaseCommandHandler
    {
        public TableMenuCommandsHandler(ExplorerToolWindow parent) : base(parent)
        {
        }

        public void SpawnTableDataWindow(object sender, ExecutedRoutedEventArgs e)
        {
            var repository = new Repository(Settings.Default.ServerName, Settings.Default.Login, Settings.Default.Password);

            var menuItem = sender as MenuItem;
            if (menuItem != null)
            {
                var tableInfo = menuItem.CommandParameter as MenuCommandParameters;
                if (tableInfo != null)
                {
                    var pkg = _parentWindow.Package as SQLAzure2010AddinPackage;
                    Debug.Assert(pkg != null, "Package property of the Explorere Tool Window should never be null, have you tried to create it manually and not through FindToolWindow()?");

                    var tableDataWindow = pkg.CreateWindow<TableDataWindow>(Math.Abs(tableInfo.Name.GetHashCode()));
                    var control = tableDataWindow.Content as TableDataControl;
                    tableDataWindow.Caption = tableInfo.Name;

                    Debug.Assert(control != null, "The TableDataWindow *should* have a control with content.");
                    control.TableData = repository.GetTableData(tableInfo.Database, tableInfo.Name, 100).Tables[0];
                }
            }
        }
    }
}