using System.Windows.Controls;
using System.Windows.Input;
using VS2010Addin.SQLAzure2010Addin.Commands;
using VS2010Addin.SQLAzure2010Addin.Helpers;
using VS2010Addin.SQLAzure2010Addin.ToolWindows;

namespace VS2010Addin.SQLAzure2010Addin.ContextMenues
{
    public class DatabasesContextMenu : ContextMenu
    {
        public DatabasesContextMenu(DatabasesMenuCommandParameters databaseMenuCommandParameters, ExplorerToolWindow parent)
        {
            var dcmd = new DatabaseMenuCommandsHandler(parent);
            var showDatabaseCommandBinding = new CommandBinding(DatabaseMenuCommands.DatabaseCommand,
                                                                dcmd.CreateDatabase);

            var createDatabaseMenuItem = new MenuItem
                                             {
                                                 Header = "Create new database",
                                                 Icon = ImageHelper.GetImageFromResource("../resources/database.png"),
                                                 Command = DatabaseMenuCommands.DatabaseCommand,
                                                 CommandParameter = databaseMenuCommandParameters
                                             };
            createDatabaseMenuItem.CommandBindings.Add(showDatabaseCommandBinding);
            Items.Add(createDatabaseMenuItem);
        }

    }
}