using System.Windows.Controls;
using System.Windows.Input;
using VS2010Addin.SQLAzure2010Addin.Commands;
using VS2010Addin.SQLAzure2010Addin.Helpers;
using VS2010Addin.SQLAzure2010Addin.ToolWindows;

namespace VS2010Addin.SQLAzure2010Addin.ContextMenues
{
    public class FunctionsContextMenu : ContextMenu
    {
        public FunctionsContextMenu(CreateNewCommandParameters parameters, ExplorerToolWindow parent)
        {
            var dcmd = new CreateNewMenuCommandsHandler(parent);

            var commandBinding1 = new CommandBinding(CreateNewMenuCommands.Command, dcmd.CreateNewScalarFunction);
            var menuItem1 = new MenuItem
            {
                Header = "Create New Scalar Function",
                //Icon = ImageHelper.GetImageFromResource("../resources/user.png"),
                Command = CreateNewMenuCommands.Command,
                CommandParameter = parameters
            };
            menuItem1.CommandBindings.Add(commandBinding1);

            var commandBinding2 = new CommandBinding(CreateNewMenuCommands.Command, dcmd.CreateNewTableFunction);
            var menuItem2 = new MenuItem
            {
                Header = "Create New Table Function",
                //Icon = ImageHelper.GetImageFromResource("../resources/user.png"),
                Command = CreateNewMenuCommands.Command,
                CommandParameter = parameters
            };
            menuItem2.CommandBindings.Add(commandBinding2);
            Items.Add(menuItem1);
            Items.Add(menuItem2);
        }
    }
}