using System.Windows.Controls;
using System.Windows.Input;
using VS2010Addin.SQLAzure2010Addin.Commands;
using VS2010Addin.SQLAzure2010Addin.Helpers;
using VS2010Addin.SQLAzure2010Addin.ToolWindows;

namespace VS2010Addin.SQLAzure2010Addin.ContextMenues
{
    public class LoginContextMenu : ContextMenu
    {

        public LoginContextMenu(LoginCommandParameters parameters, ExplorerToolWindow parent)
        {
            var dcmd = new LoginMenuCommandsHandler(parent);

            if (parameters.Login.Name.ToLower() != "admin")
            {

                var dropLoginCommandBinding = new CommandBinding(LoginMenuCommands.LoginCommand, dcmd.DropLogin);
                var dropLoginMenuItem = new MenuItem
                                            {
                                                Header = "Drop login",
                                                Icon = ImageHelper.GetImageFromResource("../resources/delete.png"),
                                                Command = LoginMenuCommands.LoginCommand,
                                                CommandParameter = parameters
                                            };
                dropLoginMenuItem.CommandBindings.Add(dropLoginCommandBinding);
                Items.Add(dropLoginMenuItem);
            }
            else
                Visibility = System.Windows.Visibility.Hidden;
        }
    }
}