using System.Windows.Controls;
using System.Windows.Input;

using VS2010Addin.SQLAzure2010Addin.Commands;
using VS2010Addin.SQLAzure2010Addin.Helpers;
using VS2010Addin.SQLAzure2010Addin.ToolWindows;

namespace VS2010Addin.SQLAzure2010Addin.ContextMenues
{
    public class LoginsContextMenu : ContextMenu
    {

        public LoginsContextMenu(LoginCommandParameters parameters, ExplorerToolWindow parent)
        {
            var dcmd = new LoginMenuCommandsHandler(parent);
            var showLoginCommandBinding = new CommandBinding(LoginMenuCommands.LoginCommand, dcmd.CreateLogin);

            var createLoginMenuItem = new MenuItem
                                          {
                                              Header = "Create new login",
                                              Icon = ImageHelper.GetImageFromResource("../resources/login.png"),
                                              Command = LoginMenuCommands.LoginCommand,
                                              CommandParameter = parameters
                                          };
            createLoginMenuItem.CommandBindings.Add(showLoginCommandBinding);
            Items.Add(createLoginMenuItem);

        }
    }
}