using System.Linq;
using System.Windows.Controls;
using System.Windows.Input;

using VS2010Addin.SQLAzure2010Addin.Commands;
using VS2010Addin.SQLAzure2010Addin.Helpers;
using VS2010Addin.SQLAzure2010Addin.ToolWindows;

namespace VS2010Addin.SQLAzure2010Addin.ContextMenues
{
    public class UserContextMenu : ContextMenu
    {
        public UserContextMenu(UserCommandParameters parameters, ExplorerControl parent)
        {
            var dcmd = new UserMenuCommandsHandler(parent);
            var nodrop = new[] {"dbo", "guest", "INFORMATION_SCHEMA", "sys"};

            //which users should be droppable?
            if (!nodrop.ToList().Contains(parameters.User.Name))
            {
                var dropUserCommandBinding = new CommandBinding(UserMenuCommands.UserCommand, dcmd.DropUser);
                var dropUserMenuItem = new MenuItem
                {
                    Header = "Drop user",
                    Icon = ImageHelper.GetImageFromResource("../resources/delete.png"),
                    Command = UserMenuCommands.UserCommand,
                    CommandParameter = parameters
                };
                dropUserMenuItem.CommandBindings.Add(dropUserCommandBinding);
                Items.Add(dropUserMenuItem);
            }
            else
                Visibility = System.Windows.Visibility.Hidden;
        }
    }
}