using System.Windows.Controls;
using System.Windows.Input;
using VS2010Addin.SQLAzure2010Addin.Commands;
using VS2010Addin.SQLAzure2010Addin.Helpers;
using VS2010Addin.SQLAzure2010Addin.ToolWindows;

namespace VS2010Addin.SQLAzure2010Addin.ContextMenues
{
    public class UsersContextMenu : ContextMenu
    {
        public UsersContextMenu(UsersCommandParameters parameters, ExplorerControl parent)
        {
            var dcmd = new UserMenuCommandsHandler(parent);

            var createUserCommandBinding = new CommandBinding(UserMenuCommands.UserCommand, dcmd.CreateUser);
            var createUserMenuItem = new MenuItem
                                         {
                                             Header = "Create new user",
                                             Icon = ImageHelper.GetImageFromResource("../resources/user.png"),
                                             Command = UserMenuCommands.UserCommand,
                                             CommandParameter = parameters
                                         };
            createUserMenuItem.CommandBindings.Add(createUserCommandBinding);
            Items.Add(createUserMenuItem);
        }
    }
}