﻿using System;
using System.Windows;

using VS2010Addin.SQLAzure2010Addin.Data;
using VS2010Addin.SQLAzure2010Addin.Properties;

namespace VS2010Addin.SQLAzure2010Addin.Dialogs
{
    /// <summary>
    /// Interaction logic for CreateLoginDialog.xaml
    /// </summary>
    public partial class CreateLoginDialog : Window
    {
        public CreateLoginDialog()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            LoginTextBox.TextBox.Focus();
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            var repository = new Repository(Settings.Default.ServerName, Settings.Default.Login,
                                            Settings.Default.Password);
            try
            {
                repository.CreateLogin(LoginTextBox.Text, PasswordTextBox.Text);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message,
                                "Error creating login", MessageBoxButton.OK,
                                MessageBoxImage.Error);
            }
            Close();
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}