using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;

namespace VS2010Addin.SQLAzure2010Addin.Data
{
    public static class DataHelpers
    {
        public static List<T> ToList<T>(this IEnumerable<T> enumerable)
        {
            return new List<T>(enumerable);
        }

        public static IEnumerable<T> Map<T>(this DbCommand command, Func<IDataRecord, T> map)
        {
            if (command.Connection.State != ConnectionState.Open) command.Connection.Open();
            using (var reader = command.ExecuteReader())
                while (reader.Read())
                    yield return map(reader);
        }
    }
}