using System.Collections.Generic;
using System.Data;

namespace VS2010Addin.SQLAzure2010Addin.Data
{
    public interface IRepository
    {
        IList<string> GetDatabaseList();
        IList<string> GetTableList(string databaseName);
        IList<string> GetViewList(string databaseName);
        IList<string> GetSpList(string databaseName);
        IList<string> GetFunctionList(string databaseName);
        IList<string> GetPrimaryKeys(string databaseName, string table);
        IList<string> GetParameters(string databaseName, string procedure);
        IList<string> GetTableOrViewColumns(string databaseName, string name);
        string GetObjectDefinition(string databaseName, string objectName);
        string GetTableDefinition(string databaseName, string tableName);
        
        void DropDatabase(string database);
        void CreateDatabase(string database);

        IList<SqlLogin> GetLoginList();
        IList<SqlUser> GetUserList(string databaseName);
        void CreateLogin(string login, string password);
        void CreateUser(string database, string user, string fromLogin);
        void DropLogin(string login);
        void DropUser(string database, string user);
        IList<string> GetRoleList(string database);
        void AddRolesToUser(string database, string user, IList<string> roles);

        string GetCreateScript(string scriptname);
        DataSet GetTableData(string databaseName, string table, int rows);
        DataSet ExecuteSql(string sql, string database);
    }
}